Bug 1997261 - enable parental controls support in GNOME for F35 beta
Summary: enable parental controls support in GNOME for F35 beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: BetaFreezeException, F35BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-08-24 18:32 UTC by Chris Murphy
Modified: 2021-09-03 18:10 UTC (History)
6 users (show)

Fixed In Version: gnome-initial-setup-41~beta-3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
If this bug requires documentation, please select an appropriate Doc Type value.
Last Closed: 2021-09-03 18:10:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Murphy 2021-08-24 18:32:55 UTC
Description of problem:

Workstation WG would like this update to be included in beta release to improve test coverage.

Version-Release number of selected component (if applicable):

gnome-control-center-41~beta-2.fc35
gnome-initial-setup-41~beta-2.fc35
gnome-software-41~beta-2.fc35

https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Actual results:

Workstation WG accidentally forgot about this until today's WG meeting just before beta freeze. :embarassed:

https://pagure.io/fedora-workstation/issue/186


Expected results:

WG intended for these to go into Rawhide and F35 sooner than this.


Additional info:

Comment 1 Fedora Blocker Bugs Application 2021-08-24 18:46:48 UTC
Proposed as a Freeze Exception for 35-beta by Fedora user chrismurphy using the blocker tracking app because:

 Workstation WG requests a freeze exception to improve test coverage by including it in beta. If FE is not granted, it'll show up as a stable update after beta release.

There's a small risk it's not ready for beta, in which case we'd pull it from beta. "kalev: it would be fairly easy" to back it out prior to release.

Comment 2 Chris Murphy 2021-08-24 18:47:44 UTC
>kalev: the flatpak selinux thing isn't a risk at all, I left the problematic flatpak update out of this update

Comment 3 Kalev Lember 2021-08-24 19:04:51 UTC
A bit of background here.

Parental controls support in GNOME is split over multiple modules: gnome-control-center, gnome-shell, gnome-initial-setup, gnome-software. What we have right now in F35 stable is that gnome-control-center support is enabled, but it's missing a crucial dependency so it's not working right out of the box. In the rest of the modules it's not enabled at all.

We discussed this at today's Workstation WG meeting and decided to attempt to fully enable it for F35 (rather than reverting what's already in place; that's the backup option). aday is going to help smoke test it to verify that the update works well enough to actually ship it to users. If not, we'd like to fully disable the parental controls support for F35.

I left out one bit from this update, that's the flatpak side: It means that gnome-initial-setup won't be able to set up parental controls for flatpak apps. This is due to a selinux issue that I believe still affects F35 -- see https://src.fedoraproject.org/rpms/flatpak/c/89da895a6498469bd458c8913c23c073ce047e47?branch=rawhide for details. It should be fine to leave it out for now since we don't pre-install flatpaks in Workstation (we do in Silverblue but it's not a blocking image).

Comment 4 Fedora Update System 2021-08-24 19:05:27 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 5 Fedora Update System 2021-08-25 18:36:33 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53cbc180c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Adam Williamson 2021-08-25 23:17:05 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/402 , marking accepted FE.

Comment 7 Fedora Update System 2021-08-26 16:50:31 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 8 Fedora Update System 2021-08-26 19:49:22 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53cbc180c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-30 20:54:27 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 10 Fedora Update System 2021-08-31 17:56:46 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53cbc180c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-03 17:42:18 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 12 Fedora Update System 2021-09-03 17:45:12 UTC
FEDORA-2021-53cbc180c9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

Comment 13 Fedora Update System 2021-09-03 18:05:37 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53cbc180c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53cbc180c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-09-03 18:10:02 UTC
FEDORA-2021-53cbc180c9 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.